Cisco Support Community
cancel
Showing results for 
Search instead for 
Did you mean: 
Announcements

Welcome to Cisco Support Community. We would love to have your feedback.

For an introduction to the new site, click here. And see here for current known issues.

New Member

ACS upgrade to 5.5 Patch

Hi All,

According to Cisco there is a need to install  Patch: Pointed-PreUpgrade-CSCum04132-5-4-0-46-0a.tar.gpg before upgrading to 5.5. Our current system running 5.4 has the latest patch 5-5-0-46-1.tar.gpg already installed.

I am aware that the patches are cummulative and if we install the latest it covers all the below patches. but the readme did not specify the Bud ID

CSCum04132. Can please advice do I need to install patch  Pointed-PreUpgrade-CSCum04132-5-4-0-46-0a.tar.gpg before upgrade?


1 ACCEPTED SOLUTION

Accepted Solutions
Cisco Employee

Re: ACS upgrade to 5.5 Patch

Unsure how on ACS 5.4, you've applied patch of ACS 5.5. The patch 5.5.0.46.1 is meant for ACS 5.5.0.46 only.

The pointed-preupgrade patch is not covered by any cumulative patch as it's a special patch.

In order to upgrade ACS from 5.4 to 5.5, here is the process:

1.] Apply the latest patch i.e patch 5-4-0-46-6.tar.gpg


2.] Apply the pointed patch i.e Pointed-PreUpgrade-CSCum04132-5-4-0-46-0a.tar.gpg


3.] Then run the 'database-compress' on ACS CLI.

4.] apply ACS 5.5 application upgrade i.e ACS_5.5.0.46.tar.gz

Hope it helps.

~BR
Jatin Katyal

**Do rate helpful posts**

~BR Jatin Katyal **Do rate helpful posts**
8 REPLIES
Cisco Employee

Re: ACS upgrade to 5.5 Patch

Unsure how on ACS 5.4, you've applied patch of ACS 5.5. The patch 5.5.0.46.1 is meant for ACS 5.5.0.46 only.

The pointed-preupgrade patch is not covered by any cumulative patch as it's a special patch.

In order to upgrade ACS from 5.4 to 5.5, here is the process:

1.] Apply the latest patch i.e patch 5-4-0-46-6.tar.gpg


2.] Apply the pointed patch i.e Pointed-PreUpgrade-CSCum04132-5-4-0-46-0a.tar.gpg


3.] Then run the 'database-compress' on ACS CLI.

4.] apply ACS 5.5 application upgrade i.e ACS_5.5.0.46.tar.gz

Hope it helps.

~BR
Jatin Katyal

**Do rate helpful posts**

~BR Jatin Katyal **Do rate helpful posts**
New Member

Re: ACS upgrade to 5.5 Patch

Hi Jatin Katyal,

Thanks for your reply. Can you please advise why we need to run 'database-compress' and its purpose.

New Member

Re: ACS upgrade to 5.5 Patch

Hi Jatin Katyal,

Sorry my Bad. The applied patch is

Cisco ACS VERSION INFORMATION

-----------------------------

Version : 5.4.0.46.1

Internal Build ID : B.221

Patches :

5-4-0-46-1

So I still need to apply this pointed patch?Please advice

Thanks

Cisco Employee

ACS upgrade to 5.5 Patch

To reduce the ACS database size by removing unused disk space from within ACS database file use the database-compress command in the ACS Configuration mode. This command has the option to truncate ACS transaction history.

This command does not erase or modify any information during the database compression except for the transaction history if the truncate flag is used.

When you run this command, ACS is stopped and the process of compressing ACS database is executed and ACS starts automatically after the process is over.

The progress of the command execution is logged in the ADE.log file.

database-compress [truncate_log]

Reference:

http://www.cisco.com/c/en/us/td/docs/net_mgmt/cisco_secure_access_control_system/5-3/command/reference/cli/cli_app_a.html#wp1938829

Cisco Employee

ACS upgrade to 5.5 Patch

++ Yes, you need to apply pointed patch before you begin the upgrade fron ACS 5.4 to ACS 5.5.

++ You must intsall the ACs 5.4 latest patch 6 and then apply the pointed patch i.e. Pointed-PreUpgrade-CSCum04132-5- 4-0-46-0a.tar.gpg.

++ After that you can do application upgrade to ACS 5.5.Once upgraded to ACS 5.5, ypu can install patch1 i.e.5.5.0.46.1.

New Member

ACS upgrade to 5.5 Patch

How come when I opened a TAC case with Cisco TAC, the TAC engineer told me as follows:

2.] Then run the 'database-compress' on ACS CLI.

3.] Apply the pointed patch i.e Pointed-PreUpgrade-CSCum04132-5-4-0-46-0a.tar.gpg

In other words, he told me that I "must" run "database-compress" PRIOR to installing the Pointed-PreUpgrade patch.

Which is the "correct" method?


New Member

ACS upgrade to 5.5 Patch

Hi

I have upgraded recently and I did not use database-compress. Below is what Cisco got to say abt the command.

"database-compress :To reduce the ACS database size by removing unused disk space from within the ACS database file, use the database-compress command in the ACS Configuration mode. This command has the option to truncate ACS transaction history.

This command does not erase or modify any information during the database compression, except for the transaction history if the truncate flag is used.

When you run this command, ACS is stopped, and the process of compressing the ACS database is executed. ACS starts automatically after the process is done.

Regards,

Rakesh

New Member

ACS upgrade to 5.5 Patch

In ACS 5.5, instead of doing it manually, cisco provided an option in GUI to select and it does it every day at a certail time.

So it is recommended to do that, but I do not think it will cause any issue.

Thanks

Rakesh

1437
Views
0
Helpful
8
Replies
CreatePlease login to create content